///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// Copyright (C) 2006 by Intel Coproration and Carnegie Mellon University    //
// Contacts: casey.j.helfrich @ intel.com                                    //
//           bdr @ cs.cmu.edu                                                //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////

#ifndef __HEXROTATE_H
#define __HEXROTATE_H

#include "CodeModule.hxx"
#include "CatomWorld.hxx"

CODE_MODULE_PROTOTYPE( CatomCamera, CatomCamera );
using namespace std;

extern CatomWorld *worldPtr;

class CatomCamera : public CodeModule {
private:
    unsigned char gbuf[256*256*3];

public:
	CatomCamera(catomID _hostCatom) :
		CodeModule(_hostCatom)  {};
	virtual void newTick();	
	virtual void endTick();
    virtual void oracle();
};

#endif
